## com.lowagie.text.pdf
Class PdfEncryptionStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              com.lowagie.text.pdf.PdfEncryptionStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class PdfEncryptionStream

extends java.io.FilterOutputStream

Field Summary
`private byte[]` `buf`
`protected PdfEncryption` `enc`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`PdfEncryptionStream(java.io.OutputStream out, PdfEncryption enc)`

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enc

    protected PdfEncryption enc

### buf

    private byte[] buf

Constructor Detail

### PdfEncryptionStream

    public PdfEncryptionStream(java.io.OutputStream out,
                               PdfEncryption enc)

Method Detail

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`